# Bomb Arrow

	# Light Explosion
	execute as @e[type=minecraft:arrow,nbt={Potion:"minecraft:water_breathing"}] run data modify entity @s damage set value 0
	execute as @e[nbt={ActiveEffects:[{Amplifier:0b,Id:13}]}] run function cake:bomb_arrow/light_payload_mob_hit
	execute as @e[type=minecraft:arrow,nbt={inGround:1b,Potion:"minecraft:water_breathing"}] run function cake:bomb_arrow/light_payload_block_hit

	# Heavy Explosion
	execute as @e[type=minecraft:arrow,nbt={Potion:"minecraft:turtle_master"}] run data modify entity @s damage set value 0
	execute as @e[nbt={ActiveEffects:[{Amplifier:2b,Id:11}]}] run function cake:bomb_arrow/heavy_payload_mob_hit
	execute as @e[type=minecraft:arrow,nbt={inGround:1b,Potion:"minecraft:turtle_master"}] run function cake:bomb_arrow/heavy_payload_block_hit

	# Spawner Only
	execute as @e[type=minecraft:arrow,nbt={Potion:"minecraft:healing"}] run data modify entity @s damage set value 30
	execute as @e[type=minecraft:arrow,nbt={inGround:1b,Potion:"minecraft:healing"}] run function cake:bomb_arrow/spawner_only_block_hit

# Custom Shulker Effects
execute as @e[nbt={ActiveEffects:[{Amplifier:0b,Id:25}]}] run function cake:custom_shulker_effects/custom_shulker_effects

# Reduced Poison
execute as @e[nbt={ActiveEffects:[{Amplifier:0b,Id:19}]}] run function cake:reduced_poison/reduced_poison

# Custom Persistent Mobs
execute as @e[tag=Special] at @s if entity @a[distance=..30] run function cake:custom_persistent_mobs/custom_persistent_mobs
# execute as @e[tag=Special,type=marker] at @s run function cake:custom_persistent_mobs/persistent_spawner

# Delete Tiny Magma Cubes
tp @e[type=magma_cube,nbt={Size:0}] 100 -255 -100

# Enchanted Bookshelf Particles
execute as @e[tag=Enchanted,type=marker] at @s run function cake:enchanted_bookshelf/handler

# Custom Craftable Items
execute store success score dummy crafted_item run clear @a #cake:custom_crafting 0
execute if score dummy crafted_item matches 1.. as @a run function cake:custom_crafting/check_items

	# Magmastone Pickaxe Effect
	execute as @a[scores={broke_spawner=1..}] run function cake:misc/spawner_broken_effect

	# Magmastone Sword Effect
	
	# Flameblood Needle Effect
	execute as @a[scores={used_carrot=1..}] run function cake:misc/carrot_used_effect

# Big Door
execute if score $keep_checking bigdoor matches 1 positioned 192 144 -121 if entity @a[distance=..4] run function cake:environent_changes/big_door/check

# Monument Wool Placement
function cake:monument/check
function cake:bonus/check

# Delete Secret Item Frames
execute as @e[type=item_frame] if data entity @s {Invisible:1b} unless data entity @s Item run kill @s

# Run the 20 tick function
scoreboard players add $count tick 1
execute if score $count tick matches 20.. run function cake:tick_20

# Wither players on the roof
execute unless score $complete_stage objectives matches 3 as @a at @s as @s[y=257.4,dy=40,z=-133,dz=270] run effect give @s wither 1 1 true

# Objective Placeholder
function cake:monument/create_placeholders

# Explosive Arrow Draw Effects
#execute as @a run function cake:arrow_detection/check_arrows
execute as @a if score @s prevent_arrow_effect matches 1.. run scoreboard players operation @s prevent_arrow_effect -= $unit prevent_arrow_effect

# Sewer Trap Detector
execute if score $sewer trap matches 0 positioned 357 88 -196 if entity @a[distance=..5] run function cake:misc/sewer_trap

# Remove fire pots (From witches)
clear @a minecraft:potion{Potion:"minecraft:fire_resistance"}

# Flame boots
execute as @a[nbt={Inventory:[{Slot:100b, id:"minecraft:netherite_boots", tag:{flameWalker:1b}}]}] at @s run function cake:misc/flame_boots_effect

# If boss is active, render the bossbar
execute if score $started boss matches 1 run function cake:boss/bossbar