# Reset tick score
scoreboard players set $count tick 0

# Aggro the piggies
execute as @e[type=zombified_piglin,tag=!angered] at @s run data modify entity @s AngryAt set from entity @p UUID
tag @e[type=zombified_piglin,tag=!angered] add angered

# Check if title need displaying
execute as @a run function cake:titles/check

# Are we in the boss room?
execute unless score $started boss matches 1.. positioned 122 43 143 if entity @a[distance=..25] run function cake:boss/line1

# Increment speedrun timer
function cake:achievements/timer/add_second
execute if score $live_timer timer matches 1 run function cake:achievements/timer/show_time_title

# Check to see if anyone has discs
function cake:achievements/discs/check

# Check to see if player misplaced wool
execute if score $misplaced_wool objectives matches 0 if block 188 192 -159 white_wool run function cake:misc/misplaced_wool

# Sometimes I get fire resistence for an extremely long time and I have no fucking idea why. Hopefully this helps??
execute as @a[scores={used_apple=1..}] run function cake:misc/apple_used_effect
execute if score $seconds time_until_clear matches 1.. run scoreboard players remove $seconds time_until_clear 1
execute if score $seconds time_until_clear matches 0 run effect clear @a fire_resistance 

# Decrement music-tracking timer
execute if score $time_left music_playing matches 1.. run scoreboard players remove $time_left music_playing 1

# Remove bad omen
effect clear @a minecraft:bad_omen